#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSPViolationReportBody = 858,
  CSS = 881,
  CSS2Properties = 885,
  CSSAnimation = 900,
  CSSConditionRule = 913,
  CSSContainerRule = 930,
  CSSCounterStyleRule = 947,
  CSSCustomPropertyRegisteredEvent = 967,
  CSSFontFaceRule = 1000,
  CSSFontFeatureValuesRule = 1016,
  CSSFontPaletteValuesRule = 1041,
  CSSGroupingRule = 1066,
  CSSImportRule = 1082,
  CSSKeyframeRule = 1096,
  CSSKeyframesRule = 1112,
  CSSLayerBlockRule = 1129,
  CSSLayerStatementRule = 1147,
  CSSMarginRule = 1169,
  CSSMediaRule = 1183,
  CSSMozDocumentRule = 1196,
  CSSNamespaceRule = 1215,
  CSSNestedDeclarations = 1232,
  CSSPageDescriptors = 1254,
  CSSPageRule = 1273,
  CSSPositionTryDescriptors = 1285,
  CSSPositionTryRule = 1311,
  CSSPropertyRule = 1330,
  CSSPseudoElement = 1346,
  CSSRule = 1363,
  CSSRuleList = 1371,
  CSSScopeRule = 1383,
  CSSStartingStyleRule = 1396,
  CSSStyleDeclaration = 1417,
  CSSStyleRule = 1437,
  CSSStyleSheet = 1450,
  CSSSupportsRule = 1464,
  CSSTransition = 1480,
  Cache = 1494,
  CacheStorage = 1500,
  CallbackDebuggerNotification = 1513,
  CanonicalBrowsingContext = 1542,
  CanvasCaptureMediaStream = 1567,
  CanvasGradient = 1592,
  CanvasPattern = 1607,
  CanvasRenderingContext2D = 1621,
  CaretPosition = 1646,
  CaretStateChangedEvent = 1660,
  ChannelMergerNode = 1683,
  ChannelSplitterNode = 1701,
  ChannelWrapper = 1721,
  CharacterData = 1736,
  CheckerboardReportService = 1750,
  ChildProcessMessageManager = 1776,
  ChildSHistory = 1803,
  ChromeMessageBroadcaster = 1817,
  ChromeMessageSender = 1842,
  ChromeNodeList = 1862,
  ChromeUtils = 1877,
  ChromeWorker = 1889,
  Client = 1902,
  Clients = 1909,
  Clipboard = 1917,
  ClipboardEvent = 1927,
  ClipboardItem = 1942,
  ClonedErrorHolder = 1956,
  CloseEvent = 1974,
  CloseWatcher = 1985,
  CommandEvent = 1998,
  Comment = 2011,
  CompositionEvent = 2019,
  CompressionStream = 2036,
  ConsoleInstance = 2054,
  ConstantSourceNode = 2070,
  ContentFrameMessageManager = 2089,
  ContentProcessMessageManager = 2116,
  ContentVisibilityAutoStateChangeEvent = 2145,
  ConvolverNode = 2183,
  CookieChangeEvent = 2197,
  CookieStore = 2215,
  CountQueuingStrategy = 2227,
  CreateOfferRequest = 2248,
  Credential = 2267,
  CredentialsContainer = 2278,
  Crypto = 2299,
  CryptoKey = 2306,
  CustomElementRegistry = 2316,
  CustomEvent = 2338,
  CustomStateSet = 2350,
  DOMException = 2365,
  DOMImplementation = 2378,
  DOMLocalization = 2396,
  DOMMatrix = 2412,
  DOMMatrixReadOnly = 2422,
  DOMParser = 2440,
  DOMPoint = 2450,
  DOMPointReadOnly = 2459,
  DOMQuad = 2476,
  DOMRect = 2484,
  DOMRectList = 2492,
  DOMRectReadOnly = 2504,
  DOMStringList = 2520,
  DOMStringMap = 2534,
  DOMTokenList = 2547,
  DataTransfer = 2560,
  DataTransferItem = 2573,
  DataTransferItemList = 2590,
  DebuggerNotification = 2611,
  DebuggerNotificationObserver = 2632,
  DecompressionStream = 2661,
  DedicatedWorkerGlobalScope = 2681,
  DelayNode = 2708,
  DeprecationReportBody = 2718,
  DeviceAcceleration = 2740,
  DeviceLightEvent = 2759,
  DeviceMotionEvent = 2776,
  DeviceOrientationEvent = 2794,
  DeviceRotationRate = 2817,
  Directory = 2836,
  Document = 2846,
  DocumentFragment = 2855,
  DocumentL10n = 2872,
  DocumentTimeline = 2885,
  DocumentType = 2902,
  DominatorTree = 2915,
  DragEvent = 2929,
  DynamicsCompressorNode = 2939,
  EXT_blend_minmax = 2962,
  EXT_color_buffer_float = 2979,
  EXT_color_buffer_half_float = 3002,
  EXT_depth_clamp = 3030,
  EXT_disjoint_timer_query = 3046,
  EXT_float_blend = 3071,
  EXT_frag_depth = 3087,
  EXT_sRGB = 3102,
  EXT_shader_texture_lod = 3111,
  EXT_texture_compression_bptc = 3134,
  EXT_texture_compression_rgtc = 3163,
  EXT_texture_filter_anisotropic = 3192,
  EXT_texture_norm16 = 3223,
  Element = 3242,
  ElementInternals = 3250,
  EncodedAudioChunk = 3267,
  EncodedVideoChunk = 3285,
  ErrorEvent = 3303,
  Event = 3314,
  EventCallbackDebuggerNotification = 3320,
  EventCounts = 3354,
  EventSource = 3366,
  EventTarget = 3378,
  Exception = 3390,
  ExtendableEvent = 3400,
  ExtendableMessageEvent = 3416,
  ExtensionAlarms = 3439,
  ExtensionBrowser = 3455,
  ExtensionBrowserSettings = 3472,
  ExtensionBrowserSettingsColorManagement = 3497,
  ExtensionDns = 3537,
  ExtensionEventManager = 3550,
  ExtensionMockAPI = 3572,
  ExtensionPort = 3589,
  ExtensionProxy = 3603,
  ExtensionRuntime = 3618,
  ExtensionScripting = 3635,
  ExtensionSetting = 3654,
  ExtensionTest = 3671,
  External = 3685,
  FeaturePolicy = 3694,
  FeaturePolicyViolationReportBody = 3708,
  FetchEvent = 3741,
  FetchObserver = 3752,
  File = 3766,
  FileList = 3771,
  FileReader = 3780,
  FileReaderSync = 3791,
  FileSystem = 3806,
  FileSystemDirectoryEntry = 3817,
  FileSystemDirectoryHandle = 3842,
  FileSystemDirectoryHandle_AsyncIterator = 3868,
  FileSystemDirectoryIterator = 3908,
  FileSystemDirectoryReader = 3936,
  FileSystemEntry = 3962,
  FileSystemFileEntry = 3978,
  FileSystemFileHandle = 3998,
  FileSystemHandle = 4019,
  FileSystemSyncAccessHandle = 4036,
  FileSystemWritableFileStream = 4063,
  Flex = 4092,
  FlexItemValues = 4097,
  FlexLineValues = 4112,
  FluentBundle = 4127,
  FluentBundleAsyncIterator = 4140,
  FluentBundleIterator = 4166,
  FluentPattern = 4187,
  FluentResource = 4201,
  FocusEvent = 4216,
  FontFace = 4227,
  FontFaceSet = 4236,
  FontFaceSetIterator = 4248,
  FontFaceSetLoadEvent = 4268,
  FormData = 4289,
  FormData_Iterator = 4298,
  FormDataEvent = 4316,
  FragmentDirective = 4330,
  FrameCrashedEvent = 4348,
  FrameLoader = 4366,
  GPU = 4378,
  GPUAdapter = 4382,
  GPUAdapterInfo = 4393,
  GPUBindGroup = 4408,
  GPUBindGroupLayout = 4421,
  GPUBuffer = 4440,
  GPUBufferUsage = 4450,
  GPUCanvasContext = 4465,
  GPUColorWrite = 4482,
  GPUCommandBuffer = 4496,
  GPUCommandEncoder = 4513,
  GPUCompilationInfo = 4531,
  GPUCompilationMessage = 4550,
  GPUComputePassEncoder = 4572,
  GPUComputePipeline = 4594,
  GPUDevice = 4613,
  GPUDeviceLostInfo = 4623,
  GPUError = 4641,
  GPUInternalError = 4650,
  GPUMapMode = 4667,
  GPUOutOfMemoryError = 4678,
  GPUPipelineLayout = 4698,
  GPUQuerySet = 4716,
  GPUQueue = 4728,
  GPURenderBundle = 4737,
  GPURenderBundleEncoder = 4753,
  GPURenderPassEncoder = 4776,
  GPURenderPipeline = 4797,
  GPUSampler = 4815,
  GPUShaderModule = 4826,
  GPUShaderStage = 4842,
  GPUSupportedFeatures = 4857,
  GPUSupportedLimits = 4878,
  GPUTexture = 4897,
  GPUTextureUsage = 4908,
  GPUTextureView = 4924,
  GPUUncapturedErrorEvent = 4939,
  GPUValidationError = 4963,
  GainNode = 4982,
  Gamepad = 4991,
  GamepadAxisMoveEvent = 4999,
  GamepadButton = 5020,
  GamepadButtonEvent = 5034,
  GamepadEvent = 5053,
  GamepadHapticActuator = 5066,
  GamepadLightIndicator = 5088,
  GamepadPose = 5110,
  GamepadServiceTest = 5122,
  GamepadTouch = 5141,
  Geolocation = 5154,
  GeolocationCoordinates = 5166,
  GeolocationPosition = 5189,
  GeolocationPositionError = 5209,
  GetUserMediaRequest = 5234,
  GleanBoolean = 5254,
  GleanCategory = 5267,
  GleanCounter = 5281,
  GleanCustomDistribution = 5294,
  GleanDatetime = 5318,
  GleanDenominator = 5332,
  GleanEvent = 5349,
  GleanImpl = 5360,
  GleanLabeled = 5370,
  GleanMemoryDistribution = 5383,
  GleanMetric = 5407,
  GleanNumerator = 5419,
  GleanObject = 5434,
  GleanPingsImpl = 5446,
  GleanQuantity = 5461,
  GleanRate = 5475,
  GleanString = 5485,
  GleanStringList = 5497,
  GleanText = 5513,
  GleanTimespan = 5523,
  GleanTimingDistribution = 5537,
  GleanUrl = 5561,
  GleanUuid = 5570,
  Grid = 5580,
  GridArea = 5585,
  GridDimension = 5594,
  GridLine = 5608,
  GridLines = 5617,
  GridTrack = 5627,
  GridTracks = 5637,
  HTMLAllCollection = 5648,
  HTMLAnchorElement = 5666,
  HTMLAreaElement = 5684,
  HTMLAudioElement = 5700,
  HTMLBRElement = 5717,
  HTMLBaseElement = 5731,
  HTMLBodyElement = 5747,
  HTMLButtonElement = 5763,
  HTMLCanvasElement = 5781,
  HTMLCollection = 5799,
  HTMLDListElement = 5814,
  HTMLDataElement = 5831,
  HTMLDataListElement = 5847,
  HTMLDetailsElement = 5867,
  HTMLDialogElement = 5886,
  HTMLDirectoryElement = 5904,
  HTMLDivElement = 5925,
  HTMLDocument = 5940,
  HTMLElement = 5953,
  HTMLEmbedElement = 5965,
  HTMLFieldSetElement = 5982,
  HTMLFontElement = 6002,
  HTMLFormControlsCollection = 6018,
  HTMLFormElement = 6045,
  HTMLFrameElement = 6061,
  HTMLFrameSetElement = 6078,
  HTMLHRElement = 6098,
  HTMLHeadElement = 6112,
  HTMLHeadingElement = 6128,
  HTMLHtmlElement = 6147,
  HTMLIFrameElement = 6163,
  HTMLImageElement = 6181,
  HTMLInputElement = 6198,
  HTMLLIElement = 6215,
  HTMLLabelElement = 6229,
  HTMLLegendElement = 6246,
  HTMLLinkElement = 6264,
  HTMLMapElement = 6280,
  HTMLMarqueeElement = 6295,
  HTMLMediaElement = 6314,
  HTMLMenuElement = 6331,
  HTMLMetaElement = 6347,
  HTMLMeterElement = 6363,
  HTMLModElement = 6380,
  HTMLOListElement = 6395,
  HTMLObjectElement = 6412,
  HTMLOptGroupElement = 6430,
  HTMLOptionElement = 6450,
  HTMLOptionsCollection = 6468,
  HTMLOutputElement = 6490,
  HTMLParagraphElement = 6508,
  HTMLParamElement = 6529,
  HTMLPictureElement = 6546,
  HTMLPreElement = 6565,
  HTMLProgressElement = 6580,
  HTMLQuoteElement = 6600,
  HTMLScriptElement = 6617,
  HTMLSelectElement = 6635,
  HTMLSlotElement = 6653,
  HTMLSourceElement = 6669,
  HTMLSpanElement = 6687,
  HTMLStyleElement = 6703,
  HTMLTableCaptionElement = 6720,
  HTMLTableCellElement = 6744,
  HTMLTableColElement = 6765,
  HTMLTableElement = 6785,
  HTMLTableRowElement = 6802,
  HTMLTableSectionElement = 6822,
  HTMLTemplateElement = 6846,
  HTMLTextAreaElement = 6866,
  HTMLTimeElement = 6886,
  HTMLTitleElement = 6902,
  HTMLTrackElement = 6919,
  HTMLUListElement = 6936,
  HTMLUnknownElement = 6953,
  HTMLVideoElement = 6972,
  HashChangeEvent = 6989,
  Headers = 7005,
  Headers_Iterator = 7013,
  HeapSnapshot = 7030,
  Highlight = 7043,
  HighlightRegistry = 7053,
  History = 7071,
  IDBCursor = 7079,
  IDBCursorWithValue = 7089,
  IDBDatabase = 7108,
  IDBFactory = 7120,
  IDBIndex = 7131,
  IDBKeyRange = 7140,
  IDBObjectStore = 7152,
  IDBOpenDBRequest = 7167,
  IDBRequest = 7184,
  IDBTransaction = 7195,
  IDBVersionChangeEvent = 7210,
  IIRFilterNode = 7232,
  IOUtils = 7246,
  IdentityCredential = 7254,
  IdleDeadline = 7273,
  Image = 7286,
  ImageBitmap = 7292,
  ImageBitmapRenderingContext = 7304,
  ImageCapture = 7332,
  ImageCaptureError = 7345,
  ImageCaptureErrorEvent = 7363,
  ImageData = 7386,
  ImageDecoder = 7396,
  ImageDocument = 7409,
  ImageTrack = 7423,
  ImageTrackList = 7434,
  InputEvent = 7449,
  InspectorCSSParser = 7460,
  InspectorFontFace = 7479,
  InspectorUtils = 7497,
  InstallTriggerImpl = 7512,
  IntersectionObserver = 7531,
  IntersectionObserverEntry = 7552,
  IntlUtils = 7578,
  InvokeEvent = 7588,
  JSProcessActorChild = 7600,
  JSProcessActorParent = 7620,
  JSWindowActorChild = 7641,
  JSWindowActorParent = 7660,
  KeyEvent = 7680,
  KeyboardEvent = 7689,
  KeyframeEffect = 7703,
  L10nFileSource = 7718,
  L10nOverlays = 7733,
  L10nRegistry = 7746,
  LargestContentfulPaint = 7759,
  LegacyMozTCPSocket = 7782,
  Localization = 7801,
  Location = 7814,
  Lock = 7823,
  LockManager = 7828,
  MIDIAccess = 7840,
  MIDIConnectionEvent = 7851,
  MIDIInput = 7871,
  MIDIInputMap = 7881,
  MIDIMessageEvent = 7894,
  MIDIOutput = 7911,
  MIDIOutputMap = 7922,
  MIDIPort = 7936,
  MLS = 7945,
  MLSGroupView = 7949,
  MOZ_debug = 7962,
  MatchGlob = 7972,
  MatchPattern = 7982,
  MatchPatternSet = 7995,
  MathMLElement = 8011,
  MediaCapabilities = 8025,
  MediaControlService = 8043,
  MediaController = 8063,
  MediaDeviceInfo = 8079,
  MediaDevices = 8095,
  MediaElementAudioSourceNode = 8108,
  MediaEncryptedEvent = 8136,
  MediaError = 8156,
  MediaKeyError = 8167,
  MediaKeyMessageEvent = 8181,
  MediaKeySession = 8202,
  MediaKeyStatusMap = 8218,
  MediaKeyStatusMap_Iterator = 8236,
  MediaKeySystemAccess = 8263,
  MediaKeys = 8284,
  MediaList = 8294,
  MediaMetadata = 8304,
  MediaQueryList = 8318,
  MediaQueryListEvent = 8333,
  MediaRecorder = 8353,
  MediaRecorderErrorEvent = 8367,
  MediaSession = 8391,
  MediaSource = 8404,
  MediaStream = 8416,
  MediaStreamAudioDestinationNode = 8428,
  MediaStreamAudioSourceNode = 8460,
  MediaStreamError = 8487,
  MediaStreamEvent = 8504,
  MediaStreamTrack = 8521,
  MediaStreamTrackAudioSourceNode = 8538,
  MediaStreamTrackEvent = 8570,
  MerchantValidationEvent = 8592,
  MessageBroadcaster = 8616,
  MessageChannel = 8635,
  MessageEvent = 8650,
  MessageListenerManager = 8663,
  MessagePort = 8686,
  MessageSender = 8698,
  MimeType = 8712,
  MimeTypeArray = 8721,
  MouseEvent = 8735,
  MouseScrollEvent = 8746,
  MozCanvasPrintState = 8763,
  MozDocumentMatcher = 8783,
  MozDocumentObserver = 8802,
  MozQueryInterface = 8822,
  MozSharedMap = 8840,
  MozSharedMap_Iterator = 8853,
  MozSharedMapChangeEvent = 8875,
  MozStorageAsyncStatementParams = 8899,
  MozStorageStatementParams = 8930,
  MozStorageStatementRow = 8956,
  MozWritableSharedMap = 8979,
  MutationEvent = 9000,
  MutationObserver = 9014,
  MutationRecord = 9031,
  NamedNodeMap = 9046,
  NavigateEvent = 9059,
  Navigation = 9073,
  NavigationActivation = 9084,
  NavigationCurrentEntryChangeEvent = 9105,
  NavigationDestination = 9139,
  NavigationHistoryEntry = 9161,
  NavigationPreloadManager = 9184,
  NavigationTransition = 9209,
  Navigator = 9230,
  NetworkInformation = 9240,
  Node = 9259,
  NodeFilter = 9264,
  NodeIterator = 9275,
  NodeList = 9288,
  Notification = 9297,
  NotificationEvent = 9310,
  NotifyPaintEvent = 9328,
  OES_draw_buffers_indexed = 9345,
  OES_element_index_uint = 9370,
  OES_fbo_render_mipmap = 9393,
  OES_standard_derivatives = 9415,
  OES_texture_float = 9440,
  OES_texture_float_linear = 9458,
  OES_texture_half_float = 9483,
  OES_texture_half_float_linear = 9506,
  OES_vertex_array_object = 9536,
  OVR_multiview2 = 9560,
  OfflineAudioCompletionEvent = 9575,
  OfflineAudioContext = 9603,
  OffscreenCanvas = 9623,
  OffscreenCanvasRenderingContext2D = 9639,
  OnlyForUseInConstructor = 9673,
  Option = 9697,
  OscillatorNode = 9704,
  PageTransitionEvent = 9719,
  PaintRequest = 9739,
  PaintRequestList = 9752,
  PaintWorkletGlobalScope = 9769,
  PannerNode = 9793,
  ParentProcessMessageManager = 9804,
  Path2D = 9832,
  PathUtils = 9839,
  PaymentAddress = 9849,
  PaymentMethodChangeEvent = 9864,
  PaymentRequest = 9889,
  PaymentRequestUpdateEvent = 9904,
  PaymentResponse = 9930,
  PeerConnectionImpl = 9946,
  PeerConnectionObserver = 9965,
  Performance = 9988,
  PerformanceEntry = 10000,
  PerformanceEntryEvent = 10017,
  PerformanceEventTiming = 10039,
  PerformanceMark = 10062,
  PerformanceMeasure = 10078,
  PerformanceNavigation = 10097,
  PerformanceNavigationTiming = 10119,
  PerformanceObserver = 10147,
  PerformanceObserverEntryList = 10167,
  PerformancePaintTiming = 10196,
  PerformanceResourceTiming = 10219,
  PerformanceServerTiming = 10245,
  PerformanceTiming = 10269,
  PeriodicWave = 10287,
  PermissionStatus = 10300,
  Permissions = 10317,
  PlacesBookmark = 10329,
  PlacesBookmarkAddition = 10344,
  PlacesBookmarkChanged = 10367,
  PlacesBookmarkGuid = 10389,
  PlacesBookmarkKeyword = 10408,
  PlacesBookmarkMoved = 10430,
  PlacesBookmarkRemoved = 10450,
  PlacesBookmarkTags = 10472,
  PlacesBookmarkTime = 10491,
  PlacesBookmarkTitle = 10510,
  PlacesBookmarkUrl = 10530,
  PlacesEvent = 10548,
  PlacesEventCounts = 10560,
  PlacesFavicon = 10578,
  PlacesHistoryCleared = 10592,
  PlacesObservers = 10613,
  PlacesPurgeCaches = 10629,
  PlacesRanking = 10647,
  PlacesVisit = 10661,
  PlacesVisitRemoved = 10673,
  PlacesVisitTitle = 10692,
  PlacesWeakCallbackWrapper = 10709,
  Plugin = 10735,
  PluginArray = 10742,
  PluginCrashedEvent = 10754,
  PointerEvent = 10773,
  PopStateEvent = 10786,
  PopupBlockedEvent = 10800,
  PopupPositionedEvent = 10818,
  PositionStateEvent = 10839,
  PrecompiledScript = 10858,
  PrivateAttribution = 10876,
  ProcessMessageManager = 10895,
  ProcessingInstruction = 10917,
  ProgressEvent = 10939,
  PromiseDebugging = 10953,
  PromiseNativeHandler = 10970,
  PromiseRejectionEvent = 10991,
  PublicKeyCredential = 11013,
  PushEvent = 11033,
  PushManager = 11043,
  PushManagerImpl = 11055,
  PushMessageData = 11071,
  PushSubscription = 11087,
  PushSubscriptionOptions = 11104,
  RTCCertificate = 11128,
  RTCDTMFSender = 11143,
  RTCDTMFToneChangeEvent = 11157,
  RTCDataChannel = 11180,
  RTCDataChannelEvent = 11195,
  RTCDtlsTransport = 11215,
  RTCEncodedAudioFrame = 11232,
  RTCEncodedVideoFrame = 11253,
  RTCIceCandidate = 11274,
  RTCIceTransport = 11290,
  RTCIdentityProviderRegistrar = 11306,
  RTCPeerConnection = 11335,
  RTCPeerConnectionIceEvent = 11353,
  RTCPeerConnectionStatic = 11379,
  RTCRtpReceiver = 11403,
  RTCRtpScriptTransform = 11418,
  RTCRtpScriptTransformer = 11440,
  RTCRtpSender = 11464,
  RTCRtpTransceiver = 11477,
  RTCSctpTransport = 11495,
  RTCSessionDescription = 11512,
  RTCStatsReport = 11534,
  RTCTrackEvent = 11549,
  RTCTransformEvent = 11563,
  RadioNodeList = 11581,
  Range = 11595,
  ReadableByteStreamController = 11601,
  ReadableStream = 11630,
  ReadableStream_AsyncIterator = 11645,
  ReadableStreamBYOBReader = 11674,
  ReadableStreamBYOBRequest = 11699,
  ReadableStreamDefaultController = 11725,
  ReadableStreamDefaultReader = 11757,
  Report = 11785,
  ReportBody = 11792,
  ReportingObserver = 11803,
  Request = 11821,
  ResizeObserver = 11829,
  ResizeObserverEntry = 11844,
  ResizeObserverSize = 11864,
  Response = 11883,
  SVGAElement = 11892,
  SVGAngle = 11904,
  SVGAnimateElement = 11913,
  SVGAnimateMotionElement = 11931,
  SVGAnimateTransformElement = 11955,
  SVGAnimatedAngle = 11982,
  SVGAnimatedBoolean = 11999,
  SVGAnimatedEnumeration = 12018,
  SVGAnimatedInteger = 12041,
  SVGAnimatedLength = 12060,
  SVGAnimatedLengthList = 12078,
  SVGAnimatedNumber = 12100,
  SVGAnimatedNumberList = 12118,
  SVGAnimatedPreserveAspectRatio = 12140,
  SVGAnimatedRect = 12171,
  SVGAnimatedString = 12187,
  SVGAnimatedTransformList = 12205,
  SVGAnimationElement = 12230,
  SVGCircleElement = 12250,
  SVGClipPathElement = 12267,
  SVGComponentTransferFunctionElement = 12286,
  SVGDefsElement = 12322,
  SVGDescElement = 12337,
  SVGElement = 12352,
  SVGEllipseElement = 12363,
  SVGFEBlendElement = 12381,
  SVGFEColorMatrixElement = 12399,
  SVGFEComponentTransferElement = 12423,
  SVGFECompositeElement = 12453,
  SVGFEConvolveMatrixElement = 12475,
  SVGFEDiffuseLightingElement = 12502,
  SVGFEDisplacementMapElement = 12530,
  SVGFEDistantLightElement = 12558,
  SVGFEDropShadowElement = 12583,
  SVGFEFloodElement = 12606,
  SVGFEFuncAElement = 12624,
  SVGFEFuncBElement = 12642,
  SVGFEFuncGElement = 12660,
  SVGFEFuncRElement = 12678,
  SVGFEGaussianBlurElement = 12696,
  SVGFEImageElement = 12721,
  SVGFEMergeElement = 12739,
  SVGFEMergeNodeElement = 12757,
  SVGFEMorphologyElement = 12779,
  SVGFEOffsetElement = 12802,
  SVGFEPointLightElement = 12821,
  SVGFESpecularLightingElement = 12844,
  SVGFESpotLightElement = 12873,
  SVGFETileElement = 12895,
  SVGFETurbulenceElement = 12912,
  SVGFilterElement = 12935,
  SVGForeignObjectElement = 12952,
  SVGGElement = 12976,
  SVGGeometryElement = 12988,
  SVGGradientElement = 13007,
  SVGGraphicsElement = 13026,
  SVGImageElement = 13045,
  SVGLength = 13061,
  SVGLengthList = 13071,
  SVGLineElement = 13085,
  SVGLinearGradientElement = 13100,
  SVGMPathElement = 13125,
  SVGMarkerElement = 13141,
  SVGMaskElement = 13158,
  SVGMatrix = 13173,
  SVGMetadataElement = 13183,
  SVGNumber = 13202,
  SVGNumberList = 13212,
  SVGPathElement = 13226,
  SVGPatternElement = 13241,
  SVGPoint = 13259,
  SVGPointList = 13268,
  SVGPolygonElement = 13281,
  SVGPolylineElement = 13299,
  SVGPreserveAspectRatio = 13318,
  SVGRadialGradientElement = 13341,
  SVGRect = 13366,
  SVGRectElement = 13374,
  SVGSVGElement = 13389,
  SVGScriptElement = 13403,
  SVGSetElement = 13420,
  SVGStopElement = 13434,
  SVGStringList = 13449,
  SVGStyleElement = 13463,
  SVGSwitchElement = 13479,
  SVGSymbolElement = 13496,
  SVGTSpanElement = 13513,
  SVGTextContentElement = 13529,
  SVGTextElement = 13551,
  SVGTextPathElement = 13566,
  SVGTextPositioningElement = 13585,
  SVGTitleElement = 13611,
  SVGTransform = 13627,
  SVGTransformList = 13640,
  SVGUnitTypes = 13657,
  SVGUseElement = 13670,
  SVGViewElement = 13684,
  Sanitizer = 13699,
  Scheduler = 13709,
  Screen = 13719,
  ScreenLuminance = 13726,
  ScreenOrientation = 13742,
  ScriptProcessorNode = 13760,
  ScrollAreaEvent = 13780,
  ScrollViewChangeEvent = 13796,
  SecurityPolicyViolationEvent = 13818,
  Selection = 13847,
  ServiceWorker = 13857,
  ServiceWorkerContainer = 13871,
  ServiceWorkerGlobalScope = 13894,
  ServiceWorkerRegistration = 13919,
  SessionStoreFormData = 13945,
  SessionStoreScrollData = 13966,
  SessionStoreUtils = 13989,
  ShadowRealmGlobalScope = 14007,
  ShadowRoot = 14030,
  SharedWorker = 14041,
  SharedWorkerGlobalScope = 14054,
  SimpleGestureEvent = 14078,
  SourceBuffer = 14097,
  SourceBufferList = 14110,
  SpeechGrammar = 14127,
  SpeechGrammarList = 14141,
  SpeechRecognition = 14159,
  SpeechRecognitionAlternative = 14177,
  SpeechRecognitionError = 14206,
  SpeechRecognitionEvent = 14229,
  SpeechRecognitionResult = 14252,
  SpeechRecognitionResultList = 14276,
  SpeechSynthesis = 14304,
  SpeechSynthesisErrorEvent = 14320,
  SpeechSynthesisEvent = 14346,
  SpeechSynthesisUtterance = 14367,
  SpeechSynthesisVoice = 14392,
  StaticRange = 14413,
  StereoPannerNode = 14425,
  Storage = 14442,
  StorageEvent = 14450,
  StorageManager = 14463,
  StreamFilter = 14478,
  StreamFilterDataEvent = 14491,
  StructuredCloneHolder = 14513,
  StructuredCloneTester = 14535,
  StyleSheet = 14557,
  StyleSheetApplicableStateChangeEvent = 14568,
  StyleSheetList = 14605,
  StyleSheetRemovedEvent = 14620,
  SubmitEvent = 14643,
  SubtleCrypto = 14655,
  SyncMessageSender = 14668,
  SyncReadFile = 14686,
  TCPServerSocket = 14699,
  TCPServerSocketEvent = 14715,
  TCPSocket = 14736,
  TCPSocketErrorEvent = 14746,
  TCPSocketEvent = 14766,
  TaskController = 14781,
  TaskPriorityChangeEvent = 14796,
  TaskSignal = 14820,
  TelemetryStopwatch = 14831,
  TestAttributesOnTypes = 14850,
  TestCEReactionsInterface = 14872,
  TestCImplementedInterface = 14897,
  TestCImplementedInterface2 = 14923,
  TestCallbackDictUnionOverload = 14950,
  TestChildInterface = 14980,
  TestConstructorForFuncInterface = 14999,
  TestConstructorForPrefInterface = 15031,
  TestConstructorForSCInterface = 15063,
  TestCppKeywordNamedMethodsInterface = 15093,
  TestDeprecatedInterface = 15129,
  TestExampleInterface = 15153,
  TestExampleProxyInterface = 15174,
  TestExampleThrowingConstructorInterface = 15200,
  TestExampleWorkerInterface = 15240,
  TestFuncConstructorForDifferentFuncInterface = 15267,
  TestFuncConstructorForInterface = 15312,
  TestHTMLConstructorInterface = 15344,
  TestIndexedAndNamedGetterAndSetterInterface = 15373,
  TestIndexedAndNamedGetterInterface = 15417,
  TestIndexedAndNamedSetterInterface = 15452,
  TestIndexedGetterAndSetterAndNamedGetterInterface = 15487,
  TestIndexedGetterInterface = 15537,
  TestIndexedSetterInterface = 15564,
  TestInterface = 15591,
  TestInterfaceWithPromiseConstructorArg = 15605,
  TestJSImplInterface = 15644,
  TestJSImplInterface2 = 15664,
  TestJSImplInterface3 = 15685,
  TestJSImplInterface4 = 15706,
  TestJSImplInterface5 = 15727,
  TestJSImplInterface6 = 15748,
  TestJSImplNoInterfaceObject = 15769,
  TestLegacyFactoryFunctionInterface = 15797,
  TestLegacyFactoryFunctionInterface2 = 15832,
  TestNamedDeleterInterface = 15868,
  TestNamedDeleterWithRetvalInterface = 15894,
  TestNamedGetterInterface = 15930,
  TestNamedSetterInterface = 15955,
  TestNamespace = 15980,
  TestNonWrapperCacheInterface = 15994,
  TestParentInterface = 16023,
  TestPrefChromeOnlySCFuncConstructorForInterface = 16043,
  TestPrefConstructorForDifferentPrefInterface = 16091,
  TestPrefConstructorForInterface = 16136,
  TestProtoObjectHackedNamespace = 16168,
  TestRenamedInterface = 16199,
  TestRenamedNamespace = 16220,
  TestSCConstructorForInterface = 16241,
  TestSecureContextInterface = 16271,
  TestThrowingConstructorInterface = 16298,
  TestUtils = 16331,
  TestWorkerExposedInterface = 16341,
  TestingDeprecatedInterface = 16368,
  Text = 16395,
  TextClause = 16400,
  TextDecoder = 16411,
  TextDecoderStream = 16423,
  TextEncoder = 16441,
  TextEncoderStream = 16453,
  TextEvent = 16471,
  TextMetrics = 16481,
  TextTrack = 16493,
  TextTrackCue = 16503,
  TextTrackCueList = 16516,
  TextTrackList = 16533,
  TimeEvent = 16547,
  TimeRanges = 16557,
  ToggleEvent = 16568,
  Touch = 16580,
  TouchEvent = 16586,
  TouchList = 16597,
  TrackEvent = 16607,
  TransformStream = 16618,
  TransformStreamDefaultController = 16634,
  TransitionEvent = 16667,
  TreeColumn = 16683,
  TreeColumns = 16694,
  TreeContentView = 16706,
  TreeWalker = 16722,
  TrustedHTML = 16733,
  TrustedScript = 16745,
  TrustedScriptURL = 16759,
  TrustedTypePolicy = 16776,
  TrustedTypePolicyFactory = 16794,
  UDPMessageEvent = 16819,
  UDPSocket = 16835,
  UIEvent = 16845,
  URL = 16853,
  URLSearchParams = 16857,
  URLSearchParams_Iterator = 16873,
  UniFFIPointer = 16898,
  UniFFIScaffolding = 16912,
  UserActivation = 16930,
  UserInteraction = 16945,
  UserProximityEvent = 16961,
  VRDisplay = 16980,
  VRDisplayCapabilities = 16990,
  VRDisplayEvent = 17012,
  VREyeParameters = 17027,
  VRFieldOfView = 17043,
  VRFrameData = 17057,
  VRMockController = 17069,
  VRMockDisplay = 17086,
  VRPose = 17100,
  VRServiceTest = 17107,
  VRStageParameters = 17121,
  VTTCue = 17139,
  VTTRegion = 17146,
  ValidityState = 17156,
  VideoColorSpace = 17170,
  VideoDecoder = 17186,
  VideoEncoder = 17199,
  VideoFrame = 17212,
  VideoPlaybackQuality = 17223,
  VideoTrack = 17244,
  VideoTrackList = 17255,
  ViewTransition = 17270,
  VisualViewport = 17285,
  WEBGL_color_buffer_float = 17300,
  WEBGL_compressed_texture_astc = 17325,
  WEBGL_compressed_texture_etc = 17355,
  WEBGL_compressed_texture_etc1 = 17384,
  WEBGL_compressed_texture_pvrtc = 17414,
  WEBGL_compressed_texture_s3tc = 17445,
  WEBGL_compressed_texture_s3tc_srgb = 17475,
  WEBGL_debug_renderer_info = 17510,
  WEBGL_debug_shaders = 17536,
  WEBGL_depth_texture = 17556,
  WEBGL_draw_buffers = 17576,
  WEBGL_explicit_present = 17595,
  WEBGL_lose_context = 17618,
  WEBGL_provoking_vertex = 17637,
  WGSLLanguageFeatures = 17660,
  WakeLock = 17681,
  WakeLockSentinel = 17690,
  WaveShaperNode = 17707,
  WebExtensionContentScript = 17722,
  WebExtensionPolicy = 17748,
  WebGL2RenderingContext = 17767,
  WebGLActiveInfo = 17790,
  WebGLBuffer = 17806,
  WebGLContextEvent = 17818,
  WebGLFramebuffer = 17836,
  WebGLProgram = 17853,
  WebGLQuery = 17866,
  WebGLRenderbuffer = 17877,
  WebGLRenderingContext = 17895,
  WebGLSampler = 17917,
  WebGLShader = 17930,
  WebGLShaderPrecisionFormat = 17942,
  WebGLSync = 17969,
  WebGLTexture = 17979,
  WebGLTransformFeedback = 17992,
  WebGLUniformLocation = 18015,
  WebGLVertexArrayObject = 18036,
  WebKitCSSMatrix = 18059,
  WebSocket = 18075,
  WebTransport = 18085,
  WebTransportBidirectionalStream = 18098,
  WebTransportDatagramDuplexStream = 18130,
  WebTransportError = 18163,
  WebTransportReceiveStream = 18181,
  WebTransportSendStream = 18207,
  WebrtcGlobalInformation = 18230,
  WheelEvent = 18254,
  Window = 18265,
  WindowClient = 18272,
  WindowContext = 18285,
  WindowGlobalChild = 18299,
  WindowGlobalParent = 18317,
  WindowRoot = 18336,
  Worker = 18347,
  WorkerDebuggerGlobalScope = 18354,
  WorkerGlobalScope = 18380,
  WorkerLocation = 18398,
  WorkerNavigator = 18413,
  WorkerTestUtils = 18429,
  Worklet = 18445,
  WorkletGlobalScope = 18453,
  WritableStream = 18472,
  WritableStreamDefaultController = 18487,
  WritableStreamDefaultWriter = 18519,
  XMLDocument = 18547,
  XMLHttpRequest = 18559,
  XMLHttpRequestEventTarget = 18574,
  XMLHttpRequestUpload = 18600,
  XMLSerializer = 18621,
  XPathEvaluator = 18635,
  XPathExpression = 18650,
  XPathResult = 18666,
  XRBoundedReferenceSpace = 18678,
  XRFrame = 18702,
  XRInputSource = 18710,
  XRInputSourceArray = 18724,
  XRInputSourceEvent = 18743,
  XRInputSourcesChangeEvent = 18762,
  XRPose = 18788,
  XRReferenceSpace = 18795,
  XRReferenceSpaceEvent = 18812,
  XRRenderState = 18834,
  XRRigidTransform = 18848,
  XRSession = 18865,
  XRSessionEvent = 18875,
  XRSpace = 18890,
  XRSystem = 18898,
  XRView = 18907,
  XRViewerPose = 18914,
  XRViewport = 18927,
  XRWebGLLayer = 18938,
  XSLTProcessor = 18951,
  XULCommandEvent = 18965,
  XULElement = 18981,
  XULFrameElement = 18992,
  XULMenuElement = 19008,
  XULPopupElement = 19023,
  XULResizerElement = 19039,
  XULTextElement = 19057,
  XULTreeElement = 19072,
  console = 19087,
  webkitSpeechGrammar = 19095,
  webkitSpeechGrammarList = 19115,
  webkitSpeechRecognition = 19139,
  webkitURL = 19163,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
