#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSNestedDeclarations" "\0"
  /*  1254 */ "CSSPageDescriptors" "\0"
  /*  1273 */ "CSSPageRule" "\0"
  /*  1285 */ "CSSPositionTryDescriptors" "\0"
  /*  1311 */ "CSSPositionTryRule" "\0"
  /*  1330 */ "CSSPropertyRule" "\0"
  /*  1346 */ "CSSPseudoElement" "\0"
  /*  1363 */ "CSSRule" "\0"
  /*  1371 */ "CSSRuleList" "\0"
  /*  1383 */ "CSSScopeRule" "\0"
  /*  1396 */ "CSSStartingStyleRule" "\0"
  /*  1417 */ "CSSStyleDeclaration" "\0"
  /*  1437 */ "CSSStyleRule" "\0"
  /*  1450 */ "CSSStyleSheet" "\0"
  /*  1464 */ "CSSSupportsRule" "\0"
  /*  1480 */ "CSSTransition" "\0"
  /*  1494 */ "Cache" "\0"
  /*  1500 */ "CacheStorage" "\0"
  /*  1513 */ "CallbackDebuggerNotification" "\0"
  /*  1542 */ "CanonicalBrowsingContext" "\0"
  /*  1567 */ "CanvasCaptureMediaStream" "\0"
  /*  1592 */ "CanvasGradient" "\0"
  /*  1607 */ "CanvasPattern" "\0"
  /*  1621 */ "CanvasRenderingContext2D" "\0"
  /*  1646 */ "CaretPosition" "\0"
  /*  1660 */ "CaretStateChangedEvent" "\0"
  /*  1683 */ "ChannelMergerNode" "\0"
  /*  1701 */ "ChannelSplitterNode" "\0"
  /*  1721 */ "ChannelWrapper" "\0"
  /*  1736 */ "CharacterData" "\0"
  /*  1750 */ "CheckerboardReportService" "\0"
  /*  1776 */ "ChildProcessMessageManager" "\0"
  /*  1803 */ "ChildSHistory" "\0"
  /*  1817 */ "ChromeMessageBroadcaster" "\0"
  /*  1842 */ "ChromeMessageSender" "\0"
  /*  1862 */ "ChromeNodeList" "\0"
  /*  1877 */ "ChromeUtils" "\0"
  /*  1889 */ "ChromeWorker" "\0"
  /*  1902 */ "Client" "\0"
  /*  1909 */ "Clients" "\0"
  /*  1917 */ "Clipboard" "\0"
  /*  1927 */ "ClipboardEvent" "\0"
  /*  1942 */ "ClipboardItem" "\0"
  /*  1956 */ "ClonedErrorHolder" "\0"
  /*  1974 */ "CloseEvent" "\0"
  /*  1985 */ "CloseWatcher" "\0"
  /*  1998 */ "CommandEvent" "\0"
  /*  2011 */ "Comment" "\0"
  /*  2019 */ "CompositionEvent" "\0"
  /*  2036 */ "CompressionStream" "\0"
  /*  2054 */ "ConsoleInstance" "\0"
  /*  2070 */ "ConstantSourceNode" "\0"
  /*  2089 */ "ContentFrameMessageManager" "\0"
  /*  2116 */ "ContentProcessMessageManager" "\0"
  /*  2145 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2183 */ "ConvolverNode" "\0"
  /*  2197 */ "CookieChangeEvent" "\0"
  /*  2215 */ "CookieStore" "\0"
  /*  2227 */ "CountQueuingStrategy" "\0"
  /*  2248 */ "CreateOfferRequest" "\0"
  /*  2267 */ "Credential" "\0"
  /*  2278 */ "CredentialsContainer" "\0"
  /*  2299 */ "Crypto" "\0"
  /*  2306 */ "CryptoKey" "\0"
  /*  2316 */ "CustomElementRegistry" "\0"
  /*  2338 */ "CustomEvent" "\0"
  /*  2350 */ "CustomStateSet" "\0"
  /*  2365 */ "DOMException" "\0"
  /*  2378 */ "DOMImplementation" "\0"
  /*  2396 */ "DOMLocalization" "\0"
  /*  2412 */ "DOMMatrix" "\0"
  /*  2422 */ "DOMMatrixReadOnly" "\0"
  /*  2440 */ "DOMParser" "\0"
  /*  2450 */ "DOMPoint" "\0"
  /*  2459 */ "DOMPointReadOnly" "\0"
  /*  2476 */ "DOMQuad" "\0"
  /*  2484 */ "DOMRect" "\0"
  /*  2492 */ "DOMRectList" "\0"
  /*  2504 */ "DOMRectReadOnly" "\0"
  /*  2520 */ "DOMStringList" "\0"
  /*  2534 */ "DOMStringMap" "\0"
  /*  2547 */ "DOMTokenList" "\0"
  /*  2560 */ "DataTransfer" "\0"
  /*  2573 */ "DataTransferItem" "\0"
  /*  2590 */ "DataTransferItemList" "\0"
  /*  2611 */ "DebuggerNotification" "\0"
  /*  2632 */ "DebuggerNotificationObserver" "\0"
  /*  2661 */ "DecompressionStream" "\0"
  /*  2681 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2708 */ "DelayNode" "\0"
  /*  2718 */ "DeprecationReportBody" "\0"
  /*  2740 */ "DeviceAcceleration" "\0"
  /*  2759 */ "DeviceLightEvent" "\0"
  /*  2776 */ "DeviceMotionEvent" "\0"
  /*  2794 */ "DeviceOrientationEvent" "\0"
  /*  2817 */ "DeviceRotationRate" "\0"
  /*  2836 */ "Directory" "\0"
  /*  2846 */ "Document" "\0"
  /*  2855 */ "DocumentFragment" "\0"
  /*  2872 */ "DocumentL10n" "\0"
  /*  2885 */ "DocumentTimeline" "\0"
  /*  2902 */ "DocumentType" "\0"
  /*  2915 */ "DominatorTree" "\0"
  /*  2929 */ "DragEvent" "\0"
  /*  2939 */ "DynamicsCompressorNode" "\0"
  /*  2962 */ "EXT_blend_minmax" "\0"
  /*  2979 */ "EXT_color_buffer_float" "\0"
  /*  3002 */ "EXT_color_buffer_half_float" "\0"
  /*  3030 */ "EXT_depth_clamp" "\0"
  /*  3046 */ "EXT_disjoint_timer_query" "\0"
  /*  3071 */ "EXT_float_blend" "\0"
  /*  3087 */ "EXT_frag_depth" "\0"
  /*  3102 */ "EXT_sRGB" "\0"
  /*  3111 */ "EXT_shader_texture_lod" "\0"
  /*  3134 */ "EXT_texture_compression_bptc" "\0"
  /*  3163 */ "EXT_texture_compression_rgtc" "\0"
  /*  3192 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3223 */ "EXT_texture_norm16" "\0"
  /*  3242 */ "Element" "\0"
  /*  3250 */ "ElementInternals" "\0"
  /*  3267 */ "EncodedAudioChunk" "\0"
  /*  3285 */ "EncodedVideoChunk" "\0"
  /*  3303 */ "ErrorEvent" "\0"
  /*  3314 */ "Event" "\0"
  /*  3320 */ "EventCallbackDebuggerNotification" "\0"
  /*  3354 */ "EventCounts" "\0"
  /*  3366 */ "EventSource" "\0"
  /*  3378 */ "EventTarget" "\0"
  /*  3390 */ "Exception" "\0"
  /*  3400 */ "ExtendableEvent" "\0"
  /*  3416 */ "ExtendableMessageEvent" "\0"
  /*  3439 */ "ExtensionAlarms" "\0"
  /*  3455 */ "ExtensionBrowser" "\0"
  /*  3472 */ "ExtensionBrowserSettings" "\0"
  /*  3497 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3537 */ "ExtensionDns" "\0"
  /*  3550 */ "ExtensionEventManager" "\0"
  /*  3572 */ "ExtensionMockAPI" "\0"
  /*  3589 */ "ExtensionPort" "\0"
  /*  3603 */ "ExtensionProxy" "\0"
  /*  3618 */ "ExtensionRuntime" "\0"
  /*  3635 */ "ExtensionScripting" "\0"
  /*  3654 */ "ExtensionSetting" "\0"
  /*  3671 */ "ExtensionTest" "\0"
  /*  3685 */ "External" "\0"
  /*  3694 */ "FeaturePolicy" "\0"
  /*  3708 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3741 */ "FetchEvent" "\0"
  /*  3752 */ "FetchObserver" "\0"
  /*  3766 */ "File" "\0"
  /*  3771 */ "FileList" "\0"
  /*  3780 */ "FileReader" "\0"
  /*  3791 */ "FileReaderSync" "\0"
  /*  3806 */ "FileSystem" "\0"
  /*  3817 */ "FileSystemDirectoryEntry" "\0"
  /*  3842 */ "FileSystemDirectoryHandle" "\0"
  /*  3868 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3908 */ "FileSystemDirectoryIterator" "\0"
  /*  3936 */ "FileSystemDirectoryReader" "\0"
  /*  3962 */ "FileSystemEntry" "\0"
  /*  3978 */ "FileSystemFileEntry" "\0"
  /*  3998 */ "FileSystemFileHandle" "\0"
  /*  4019 */ "FileSystemHandle" "\0"
  /*  4036 */ "FileSystemSyncAccessHandle" "\0"
  /*  4063 */ "FileSystemWritableFileStream" "\0"
  /*  4092 */ "Flex" "\0"
  /*  4097 */ "FlexItemValues" "\0"
  /*  4112 */ "FlexLineValues" "\0"
  /*  4127 */ "FluentBundle" "\0"
  /*  4140 */ "FluentBundleAsyncIterator" "\0"
  /*  4166 */ "FluentBundleIterator" "\0"
  /*  4187 */ "FluentPattern" "\0"
  /*  4201 */ "FluentResource" "\0"
  /*  4216 */ "FocusEvent" "\0"
  /*  4227 */ "FontFace" "\0"
  /*  4236 */ "FontFaceSet" "\0"
  /*  4248 */ "FontFaceSetIterator" "\0"
  /*  4268 */ "FontFaceSetLoadEvent" "\0"
  /*  4289 */ "FormData" "\0"
  /*  4298 */ "FormData Iterator" "\0"
  /*  4316 */ "FormDataEvent" "\0"
  /*  4330 */ "FragmentDirective" "\0"
  /*  4348 */ "FrameCrashedEvent" "\0"
  /*  4366 */ "FrameLoader" "\0"
  /*  4378 */ "GPU" "\0"
  /*  4382 */ "GPUAdapter" "\0"
  /*  4393 */ "GPUAdapterInfo" "\0"
  /*  4408 */ "GPUBindGroup" "\0"
  /*  4421 */ "GPUBindGroupLayout" "\0"
  /*  4440 */ "GPUBuffer" "\0"
  /*  4450 */ "GPUBufferUsage" "\0"
  /*  4465 */ "GPUCanvasContext" "\0"
  /*  4482 */ "GPUColorWrite" "\0"
  /*  4496 */ "GPUCommandBuffer" "\0"
  /*  4513 */ "GPUCommandEncoder" "\0"
  /*  4531 */ "GPUCompilationInfo" "\0"
  /*  4550 */ "GPUCompilationMessage" "\0"
  /*  4572 */ "GPUComputePassEncoder" "\0"
  /*  4594 */ "GPUComputePipeline" "\0"
  /*  4613 */ "GPUDevice" "\0"
  /*  4623 */ "GPUDeviceLostInfo" "\0"
  /*  4641 */ "GPUError" "\0"
  /*  4650 */ "GPUInternalError" "\0"
  /*  4667 */ "GPUMapMode" "\0"
  /*  4678 */ "GPUOutOfMemoryError" "\0"
  /*  4698 */ "GPUPipelineLayout" "\0"
  /*  4716 */ "GPUQuerySet" "\0"
  /*  4728 */ "GPUQueue" "\0"
  /*  4737 */ "GPURenderBundle" "\0"
  /*  4753 */ "GPURenderBundleEncoder" "\0"
  /*  4776 */ "GPURenderPassEncoder" "\0"
  /*  4797 */ "GPURenderPipeline" "\0"
  /*  4815 */ "GPUSampler" "\0"
  /*  4826 */ "GPUShaderModule" "\0"
  /*  4842 */ "GPUShaderStage" "\0"
  /*  4857 */ "GPUSupportedFeatures" "\0"
  /*  4878 */ "GPUSupportedLimits" "\0"
  /*  4897 */ "GPUTexture" "\0"
  /*  4908 */ "GPUTextureUsage" "\0"
  /*  4924 */ "GPUTextureView" "\0"
  /*  4939 */ "GPUUncapturedErrorEvent" "\0"
  /*  4963 */ "GPUValidationError" "\0"
  /*  4982 */ "GainNode" "\0"
  /*  4991 */ "Gamepad" "\0"
  /*  4999 */ "GamepadAxisMoveEvent" "\0"
  /*  5020 */ "GamepadButton" "\0"
  /*  5034 */ "GamepadButtonEvent" "\0"
  /*  5053 */ "GamepadEvent" "\0"
  /*  5066 */ "GamepadHapticActuator" "\0"
  /*  5088 */ "GamepadLightIndicator" "\0"
  /*  5110 */ "GamepadPose" "\0"
  /*  5122 */ "GamepadServiceTest" "\0"
  /*  5141 */ "GamepadTouch" "\0"
  /*  5154 */ "Geolocation" "\0"
  /*  5166 */ "GeolocationCoordinates" "\0"
  /*  5189 */ "GeolocationPosition" "\0"
  /*  5209 */ "GeolocationPositionError" "\0"
  /*  5234 */ "GetUserMediaRequest" "\0"
  /*  5254 */ "GleanBoolean" "\0"
  /*  5267 */ "GleanCategory" "\0"
  /*  5281 */ "GleanCounter" "\0"
  /*  5294 */ "GleanCustomDistribution" "\0"
  /*  5318 */ "GleanDatetime" "\0"
  /*  5332 */ "GleanDenominator" "\0"
  /*  5349 */ "GleanEvent" "\0"
  /*  5360 */ "GleanImpl" "\0"
  /*  5370 */ "GleanLabeled" "\0"
  /*  5383 */ "GleanMemoryDistribution" "\0"
  /*  5407 */ "GleanMetric" "\0"
  /*  5419 */ "GleanNumerator" "\0"
  /*  5434 */ "GleanObject" "\0"
  /*  5446 */ "GleanPingsImpl" "\0"
  /*  5461 */ "GleanQuantity" "\0"
  /*  5475 */ "GleanRate" "\0"
  /*  5485 */ "GleanString" "\0"
  /*  5497 */ "GleanStringList" "\0"
  /*  5513 */ "GleanText" "\0"
  /*  5523 */ "GleanTimespan" "\0"
  /*  5537 */ "GleanTimingDistribution" "\0"
  /*  5561 */ "GleanUrl" "\0"
  /*  5570 */ "GleanUuid" "\0"
  /*  5580 */ "Grid" "\0"
  /*  5585 */ "GridArea" "\0"
  /*  5594 */ "GridDimension" "\0"
  /*  5608 */ "GridLine" "\0"
  /*  5617 */ "GridLines" "\0"
  /*  5627 */ "GridTrack" "\0"
  /*  5637 */ "GridTracks" "\0"
  /*  5648 */ "HTMLAllCollection" "\0"
  /*  5666 */ "HTMLAnchorElement" "\0"
  /*  5684 */ "HTMLAreaElement" "\0"
  /*  5700 */ "HTMLAudioElement" "\0"
  /*  5717 */ "HTMLBRElement" "\0"
  /*  5731 */ "HTMLBaseElement" "\0"
  /*  5747 */ "HTMLBodyElement" "\0"
  /*  5763 */ "HTMLButtonElement" "\0"
  /*  5781 */ "HTMLCanvasElement" "\0"
  /*  5799 */ "HTMLCollection" "\0"
  /*  5814 */ "HTMLDListElement" "\0"
  /*  5831 */ "HTMLDataElement" "\0"
  /*  5847 */ "HTMLDataListElement" "\0"
  /*  5867 */ "HTMLDetailsElement" "\0"
  /*  5886 */ "HTMLDialogElement" "\0"
  /*  5904 */ "HTMLDirectoryElement" "\0"
  /*  5925 */ "HTMLDivElement" "\0"
  /*  5940 */ "HTMLDocument" "\0"
  /*  5953 */ "HTMLElement" "\0"
  /*  5965 */ "HTMLEmbedElement" "\0"
  /*  5982 */ "HTMLFieldSetElement" "\0"
  /*  6002 */ "HTMLFontElement" "\0"
  /*  6018 */ "HTMLFormControlsCollection" "\0"
  /*  6045 */ "HTMLFormElement" "\0"
  /*  6061 */ "HTMLFrameElement" "\0"
  /*  6078 */ "HTMLFrameSetElement" "\0"
  /*  6098 */ "HTMLHRElement" "\0"
  /*  6112 */ "HTMLHeadElement" "\0"
  /*  6128 */ "HTMLHeadingElement" "\0"
  /*  6147 */ "HTMLHtmlElement" "\0"
  /*  6163 */ "HTMLIFrameElement" "\0"
  /*  6181 */ "HTMLImageElement" "\0"
  /*  6198 */ "HTMLInputElement" "\0"
  /*  6215 */ "HTMLLIElement" "\0"
  /*  6229 */ "HTMLLabelElement" "\0"
  /*  6246 */ "HTMLLegendElement" "\0"
  /*  6264 */ "HTMLLinkElement" "\0"
  /*  6280 */ "HTMLMapElement" "\0"
  /*  6295 */ "HTMLMarqueeElement" "\0"
  /*  6314 */ "HTMLMediaElement" "\0"
  /*  6331 */ "HTMLMenuElement" "\0"
  /*  6347 */ "HTMLMetaElement" "\0"
  /*  6363 */ "HTMLMeterElement" "\0"
  /*  6380 */ "HTMLModElement" "\0"
  /*  6395 */ "HTMLOListElement" "\0"
  /*  6412 */ "HTMLObjectElement" "\0"
  /*  6430 */ "HTMLOptGroupElement" "\0"
  /*  6450 */ "HTMLOptionElement" "\0"
  /*  6468 */ "HTMLOptionsCollection" "\0"
  /*  6490 */ "HTMLOutputElement" "\0"
  /*  6508 */ "HTMLParagraphElement" "\0"
  /*  6529 */ "HTMLParamElement" "\0"
  /*  6546 */ "HTMLPictureElement" "\0"
  /*  6565 */ "HTMLPreElement" "\0"
  /*  6580 */ "HTMLProgressElement" "\0"
  /*  6600 */ "HTMLQuoteElement" "\0"
  /*  6617 */ "HTMLScriptElement" "\0"
  /*  6635 */ "HTMLSelectElement" "\0"
  /*  6653 */ "HTMLSlotElement" "\0"
  /*  6669 */ "HTMLSourceElement" "\0"
  /*  6687 */ "HTMLSpanElement" "\0"
  /*  6703 */ "HTMLStyleElement" "\0"
  /*  6720 */ "HTMLTableCaptionElement" "\0"
  /*  6744 */ "HTMLTableCellElement" "\0"
  /*  6765 */ "HTMLTableColElement" "\0"
  /*  6785 */ "HTMLTableElement" "\0"
  /*  6802 */ "HTMLTableRowElement" "\0"
  /*  6822 */ "HTMLTableSectionElement" "\0"
  /*  6846 */ "HTMLTemplateElement" "\0"
  /*  6866 */ "HTMLTextAreaElement" "\0"
  /*  6886 */ "HTMLTimeElement" "\0"
  /*  6902 */ "HTMLTitleElement" "\0"
  /*  6919 */ "HTMLTrackElement" "\0"
  /*  6936 */ "HTMLUListElement" "\0"
  /*  6953 */ "HTMLUnknownElement" "\0"
  /*  6972 */ "HTMLVideoElement" "\0"
  /*  6989 */ "HashChangeEvent" "\0"
  /*  7005 */ "Headers" "\0"
  /*  7013 */ "Headers Iterator" "\0"
  /*  7030 */ "HeapSnapshot" "\0"
  /*  7043 */ "Highlight" "\0"
  /*  7053 */ "HighlightRegistry" "\0"
  /*  7071 */ "History" "\0"
  /*  7079 */ "IDBCursor" "\0"
  /*  7089 */ "IDBCursorWithValue" "\0"
  /*  7108 */ "IDBDatabase" "\0"
  /*  7120 */ "IDBFactory" "\0"
  /*  7131 */ "IDBIndex" "\0"
  /*  7140 */ "IDBKeyRange" "\0"
  /*  7152 */ "IDBObjectStore" "\0"
  /*  7167 */ "IDBOpenDBRequest" "\0"
  /*  7184 */ "IDBRequest" "\0"
  /*  7195 */ "IDBTransaction" "\0"
  /*  7210 */ "IDBVersionChangeEvent" "\0"
  /*  7232 */ "IIRFilterNode" "\0"
  /*  7246 */ "IOUtils" "\0"
  /*  7254 */ "IdentityCredential" "\0"
  /*  7273 */ "IdleDeadline" "\0"
  /*  7286 */ "Image" "\0"
  /*  7292 */ "ImageBitmap" "\0"
  /*  7304 */ "ImageBitmapRenderingContext" "\0"
  /*  7332 */ "ImageCapture" "\0"
  /*  7345 */ "ImageCaptureError" "\0"
  /*  7363 */ "ImageCaptureErrorEvent" "\0"
  /*  7386 */ "ImageData" "\0"
  /*  7396 */ "ImageDecoder" "\0"
  /*  7409 */ "ImageDocument" "\0"
  /*  7423 */ "ImageTrack" "\0"
  /*  7434 */ "ImageTrackList" "\0"
  /*  7449 */ "InputEvent" "\0"
  /*  7460 */ "InspectorCSSParser" "\0"
  /*  7479 */ "InspectorFontFace" "\0"
  /*  7497 */ "InspectorUtils" "\0"
  /*  7512 */ "InstallTriggerImpl" "\0"
  /*  7531 */ "IntersectionObserver" "\0"
  /*  7552 */ "IntersectionObserverEntry" "\0"
  /*  7578 */ "IntlUtils" "\0"
  /*  7588 */ "InvokeEvent" "\0"
  /*  7600 */ "JSProcessActorChild" "\0"
  /*  7620 */ "JSProcessActorParent" "\0"
  /*  7641 */ "JSWindowActorChild" "\0"
  /*  7660 */ "JSWindowActorParent" "\0"
  /*  7680 */ "KeyEvent" "\0"
  /*  7689 */ "KeyboardEvent" "\0"
  /*  7703 */ "KeyframeEffect" "\0"
  /*  7718 */ "L10nFileSource" "\0"
  /*  7733 */ "L10nOverlays" "\0"
  /*  7746 */ "L10nRegistry" "\0"
  /*  7759 */ "LargestContentfulPaint" "\0"
  /*  7782 */ "LegacyMozTCPSocket" "\0"
  /*  7801 */ "Localization" "\0"
  /*  7814 */ "Location" "\0"
  /*  7823 */ "Lock" "\0"
  /*  7828 */ "LockManager" "\0"
  /*  7840 */ "MIDIAccess" "\0"
  /*  7851 */ "MIDIConnectionEvent" "\0"
  /*  7871 */ "MIDIInput" "\0"
  /*  7881 */ "MIDIInputMap" "\0"
  /*  7894 */ "MIDIMessageEvent" "\0"
  /*  7911 */ "MIDIOutput" "\0"
  /*  7922 */ "MIDIOutputMap" "\0"
  /*  7936 */ "MIDIPort" "\0"
  /*  7945 */ "MLS" "\0"
  /*  7949 */ "MLSGroupView" "\0"
  /*  7962 */ "MOZ_debug" "\0"
  /*  7972 */ "MatchGlob" "\0"
  /*  7982 */ "MatchPattern" "\0"
  /*  7995 */ "MatchPatternSet" "\0"
  /*  8011 */ "MathMLElement" "\0"
  /*  8025 */ "MediaCapabilities" "\0"
  /*  8043 */ "MediaControlService" "\0"
  /*  8063 */ "MediaController" "\0"
  /*  8079 */ "MediaDeviceInfo" "\0"
  /*  8095 */ "MediaDevices" "\0"
  /*  8108 */ "MediaElementAudioSourceNode" "\0"
  /*  8136 */ "MediaEncryptedEvent" "\0"
  /*  8156 */ "MediaError" "\0"
  /*  8167 */ "MediaKeyError" "\0"
  /*  8181 */ "MediaKeyMessageEvent" "\0"
  /*  8202 */ "MediaKeySession" "\0"
  /*  8218 */ "MediaKeyStatusMap" "\0"
  /*  8236 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8263 */ "MediaKeySystemAccess" "\0"
  /*  8284 */ "MediaKeys" "\0"
  /*  8294 */ "MediaList" "\0"
  /*  8304 */ "MediaMetadata" "\0"
  /*  8318 */ "MediaQueryList" "\0"
  /*  8333 */ "MediaQueryListEvent" "\0"
  /*  8353 */ "MediaRecorder" "\0"
  /*  8367 */ "MediaRecorderErrorEvent" "\0"
  /*  8391 */ "MediaSession" "\0"
  /*  8404 */ "MediaSource" "\0"
  /*  8416 */ "MediaStream" "\0"
  /*  8428 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8460 */ "MediaStreamAudioSourceNode" "\0"
  /*  8487 */ "MediaStreamError" "\0"
  /*  8504 */ "MediaStreamEvent" "\0"
  /*  8521 */ "MediaStreamTrack" "\0"
  /*  8538 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8570 */ "MediaStreamTrackEvent" "\0"
  /*  8592 */ "MerchantValidationEvent" "\0"
  /*  8616 */ "MessageBroadcaster" "\0"
  /*  8635 */ "MessageChannel" "\0"
  /*  8650 */ "MessageEvent" "\0"
  /*  8663 */ "MessageListenerManager" "\0"
  /*  8686 */ "MessagePort" "\0"
  /*  8698 */ "MessageSender" "\0"
  /*  8712 */ "MimeType" "\0"
  /*  8721 */ "MimeTypeArray" "\0"
  /*  8735 */ "MouseEvent" "\0"
  /*  8746 */ "MouseScrollEvent" "\0"
  /*  8763 */ "MozCanvasPrintState" "\0"
  /*  8783 */ "MozDocumentMatcher" "\0"
  /*  8802 */ "MozDocumentObserver" "\0"
  /*  8822 */ "MozQueryInterface" "\0"
  /*  8840 */ "MozSharedMap" "\0"
  /*  8853 */ "MozSharedMap Iterator" "\0"
  /*  8875 */ "MozSharedMapChangeEvent" "\0"
  /*  8899 */ "MozStorageAsyncStatementParams" "\0"
  /*  8930 */ "MozStorageStatementParams" "\0"
  /*  8956 */ "MozStorageStatementRow" "\0"
  /*  8979 */ "MozWritableSharedMap" "\0"
  /*  9000 */ "MutationEvent" "\0"
  /*  9014 */ "MutationObserver" "\0"
  /*  9031 */ "MutationRecord" "\0"
  /*  9046 */ "NamedNodeMap" "\0"
  /*  9059 */ "NavigateEvent" "\0"
  /*  9073 */ "Navigation" "\0"
  /*  9084 */ "NavigationActivation" "\0"
  /*  9105 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9139 */ "NavigationDestination" "\0"
  /*  9161 */ "NavigationHistoryEntry" "\0"
  /*  9184 */ "NavigationPreloadManager" "\0"
  /*  9209 */ "NavigationTransition" "\0"
  /*  9230 */ "Navigator" "\0"
  /*  9240 */ "NetworkInformation" "\0"
  /*  9259 */ "Node" "\0"
  /*  9264 */ "NodeFilter" "\0"
  /*  9275 */ "NodeIterator" "\0"
  /*  9288 */ "NodeList" "\0"
  /*  9297 */ "Notification" "\0"
  /*  9310 */ "NotificationEvent" "\0"
  /*  9328 */ "NotifyPaintEvent" "\0"
  /*  9345 */ "OES_draw_buffers_indexed" "\0"
  /*  9370 */ "OES_element_index_uint" "\0"
  /*  9393 */ "OES_fbo_render_mipmap" "\0"
  /*  9415 */ "OES_standard_derivatives" "\0"
  /*  9440 */ "OES_texture_float" "\0"
  /*  9458 */ "OES_texture_float_linear" "\0"
  /*  9483 */ "OES_texture_half_float" "\0"
  /*  9506 */ "OES_texture_half_float_linear" "\0"
  /*  9536 */ "OES_vertex_array_object" "\0"
  /*  9560 */ "OVR_multiview2" "\0"
  /*  9575 */ "OfflineAudioCompletionEvent" "\0"
  /*  9603 */ "OfflineAudioContext" "\0"
  /*  9623 */ "OffscreenCanvas" "\0"
  /*  9639 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9673 */ "OnlyForUseInConstructor" "\0"
  /*  9697 */ "Option" "\0"
  /*  9704 */ "OscillatorNode" "\0"
  /*  9719 */ "PageTransitionEvent" "\0"
  /*  9739 */ "PaintRequest" "\0"
  /*  9752 */ "PaintRequestList" "\0"
  /*  9769 */ "PaintWorkletGlobalScope" "\0"
  /*  9793 */ "PannerNode" "\0"
  /*  9804 */ "ParentProcessMessageManager" "\0"
  /*  9832 */ "Path2D" "\0"
  /*  9839 */ "PathUtils" "\0"
  /*  9849 */ "PaymentAddress" "\0"
  /*  9864 */ "PaymentMethodChangeEvent" "\0"
  /*  9889 */ "PaymentRequest" "\0"
  /*  9904 */ "PaymentRequestUpdateEvent" "\0"
  /*  9930 */ "PaymentResponse" "\0"
  /*  9946 */ "PeerConnectionImpl" "\0"
  /*  9965 */ "PeerConnectionObserver" "\0"
  /*  9988 */ "Performance" "\0"
  /* 10000 */ "PerformanceEntry" "\0"
  /* 10017 */ "PerformanceEntryEvent" "\0"
  /* 10039 */ "PerformanceEventTiming" "\0"
  /* 10062 */ "PerformanceMark" "\0"
  /* 10078 */ "PerformanceMeasure" "\0"
  /* 10097 */ "PerformanceNavigation" "\0"
  /* 10119 */ "PerformanceNavigationTiming" "\0"
  /* 10147 */ "PerformanceObserver" "\0"
  /* 10167 */ "PerformanceObserverEntryList" "\0"
  /* 10196 */ "PerformancePaintTiming" "\0"
  /* 10219 */ "PerformanceResourceTiming" "\0"
  /* 10245 */ "PerformanceServerTiming" "\0"
  /* 10269 */ "PerformanceTiming" "\0"
  /* 10287 */ "PeriodicWave" "\0"
  /* 10300 */ "PermissionStatus" "\0"
  /* 10317 */ "Permissions" "\0"
  /* 10329 */ "PlacesBookmark" "\0"
  /* 10344 */ "PlacesBookmarkAddition" "\0"
  /* 10367 */ "PlacesBookmarkChanged" "\0"
  /* 10389 */ "PlacesBookmarkGuid" "\0"
  /* 10408 */ "PlacesBookmarkKeyword" "\0"
  /* 10430 */ "PlacesBookmarkMoved" "\0"
  /* 10450 */ "PlacesBookmarkRemoved" "\0"
  /* 10472 */ "PlacesBookmarkTags" "\0"
  /* 10491 */ "PlacesBookmarkTime" "\0"
  /* 10510 */ "PlacesBookmarkTitle" "\0"
  /* 10530 */ "PlacesBookmarkUrl" "\0"
  /* 10548 */ "PlacesEvent" "\0"
  /* 10560 */ "PlacesEventCounts" "\0"
  /* 10578 */ "PlacesFavicon" "\0"
  /* 10592 */ "PlacesHistoryCleared" "\0"
  /* 10613 */ "PlacesObservers" "\0"
  /* 10629 */ "PlacesPurgeCaches" "\0"
  /* 10647 */ "PlacesRanking" "\0"
  /* 10661 */ "PlacesVisit" "\0"
  /* 10673 */ "PlacesVisitRemoved" "\0"
  /* 10692 */ "PlacesVisitTitle" "\0"
  /* 10709 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10735 */ "Plugin" "\0"
  /* 10742 */ "PluginArray" "\0"
  /* 10754 */ "PluginCrashedEvent" "\0"
  /* 10773 */ "PointerEvent" "\0"
  /* 10786 */ "PopStateEvent" "\0"
  /* 10800 */ "PopupBlockedEvent" "\0"
  /* 10818 */ "PopupPositionedEvent" "\0"
  /* 10839 */ "PositionStateEvent" "\0"
  /* 10858 */ "PrecompiledScript" "\0"
  /* 10876 */ "PrivateAttribution" "\0"
  /* 10895 */ "ProcessMessageManager" "\0"
  /* 10917 */ "ProcessingInstruction" "\0"
  /* 10939 */ "ProgressEvent" "\0"
  /* 10953 */ "PromiseDebugging" "\0"
  /* 10970 */ "PromiseNativeHandler" "\0"
  /* 10991 */ "PromiseRejectionEvent" "\0"
  /* 11013 */ "PublicKeyCredential" "\0"
  /* 11033 */ "PushEvent" "\0"
  /* 11043 */ "PushManager" "\0"
  /* 11055 */ "PushManagerImpl" "\0"
  /* 11071 */ "PushMessageData" "\0"
  /* 11087 */ "PushSubscription" "\0"
  /* 11104 */ "PushSubscriptionOptions" "\0"
  /* 11128 */ "RTCCertificate" "\0"
  /* 11143 */ "RTCDTMFSender" "\0"
  /* 11157 */ "RTCDTMFToneChangeEvent" "\0"
  /* 11180 */ "RTCDataChannel" "\0"
  /* 11195 */ "RTCDataChannelEvent" "\0"
  /* 11215 */ "RTCDtlsTransport" "\0"
  /* 11232 */ "RTCEncodedAudioFrame" "\0"
  /* 11253 */ "RTCEncodedVideoFrame" "\0"
  /* 11274 */ "RTCIceCandidate" "\0"
  /* 11290 */ "RTCIceTransport" "\0"
  /* 11306 */ "RTCIdentityProviderRegistrar" "\0"
  /* 11335 */ "RTCPeerConnection" "\0"
  /* 11353 */ "RTCPeerConnectionIceEvent" "\0"
  /* 11379 */ "RTCPeerConnectionStatic" "\0"
  /* 11403 */ "RTCRtpReceiver" "\0"
  /* 11418 */ "RTCRtpScriptTransform" "\0"
  /* 11440 */ "RTCRtpScriptTransformer" "\0"
  /* 11464 */ "RTCRtpSender" "\0"
  /* 11477 */ "RTCRtpTransceiver" "\0"
  /* 11495 */ "RTCSctpTransport" "\0"
  /* 11512 */ "RTCSessionDescription" "\0"
  /* 11534 */ "RTCStatsReport" "\0"
  /* 11549 */ "RTCTrackEvent" "\0"
  /* 11563 */ "RTCTransformEvent" "\0"
  /* 11581 */ "RadioNodeList" "\0"
  /* 11595 */ "Range" "\0"
  /* 11601 */ "ReadableByteStreamController" "\0"
  /* 11630 */ "ReadableStream" "\0"
  /* 11645 */ "ReadableStream AsyncIterator" "\0"
  /* 11674 */ "ReadableStreamBYOBReader" "\0"
  /* 11699 */ "ReadableStreamBYOBRequest" "\0"
  /* 11725 */ "ReadableStreamDefaultController" "\0"
  /* 11757 */ "ReadableStreamDefaultReader" "\0"
  /* 11785 */ "Report" "\0"
  /* 11792 */ "ReportBody" "\0"
  /* 11803 */ "ReportingObserver" "\0"
  /* 11821 */ "Request" "\0"
  /* 11829 */ "ResizeObserver" "\0"
  /* 11844 */ "ResizeObserverEntry" "\0"
  /* 11864 */ "ResizeObserverSize" "\0"
  /* 11883 */ "Response" "\0"
  /* 11892 */ "SVGAElement" "\0"
  /* 11904 */ "SVGAngle" "\0"
  /* 11913 */ "SVGAnimateElement" "\0"
  /* 11931 */ "SVGAnimateMotionElement" "\0"
  /* 11955 */ "SVGAnimateTransformElement" "\0"
  /* 11982 */ "SVGAnimatedAngle" "\0"
  /* 11999 */ "SVGAnimatedBoolean" "\0"
  /* 12018 */ "SVGAnimatedEnumeration" "\0"
  /* 12041 */ "SVGAnimatedInteger" "\0"
  /* 12060 */ "SVGAnimatedLength" "\0"
  /* 12078 */ "SVGAnimatedLengthList" "\0"
  /* 12100 */ "SVGAnimatedNumber" "\0"
  /* 12118 */ "SVGAnimatedNumberList" "\0"
  /* 12140 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 12171 */ "SVGAnimatedRect" "\0"
  /* 12187 */ "SVGAnimatedString" "\0"
  /* 12205 */ "SVGAnimatedTransformList" "\0"
  /* 12230 */ "SVGAnimationElement" "\0"
  /* 12250 */ "SVGCircleElement" "\0"
  /* 12267 */ "SVGClipPathElement" "\0"
  /* 12286 */ "SVGComponentTransferFunctionElement" "\0"
  /* 12322 */ "SVGDefsElement" "\0"
  /* 12337 */ "SVGDescElement" "\0"
  /* 12352 */ "SVGElement" "\0"
  /* 12363 */ "SVGEllipseElement" "\0"
  /* 12381 */ "SVGFEBlendElement" "\0"
  /* 12399 */ "SVGFEColorMatrixElement" "\0"
  /* 12423 */ "SVGFEComponentTransferElement" "\0"
  /* 12453 */ "SVGFECompositeElement" "\0"
  /* 12475 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12502 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12530 */ "SVGFEDisplacementMapElement" "\0"
  /* 12558 */ "SVGFEDistantLightElement" "\0"
  /* 12583 */ "SVGFEDropShadowElement" "\0"
  /* 12606 */ "SVGFEFloodElement" "\0"
  /* 12624 */ "SVGFEFuncAElement" "\0"
  /* 12642 */ "SVGFEFuncBElement" "\0"
  /* 12660 */ "SVGFEFuncGElement" "\0"
  /* 12678 */ "SVGFEFuncRElement" "\0"
  /* 12696 */ "SVGFEGaussianBlurElement" "\0"
  /* 12721 */ "SVGFEImageElement" "\0"
  /* 12739 */ "SVGFEMergeElement" "\0"
  /* 12757 */ "SVGFEMergeNodeElement" "\0"
  /* 12779 */ "SVGFEMorphologyElement" "\0"
  /* 12802 */ "SVGFEOffsetElement" "\0"
  /* 12821 */ "SVGFEPointLightElement" "\0"
  /* 12844 */ "SVGFESpecularLightingElement" "\0"
  /* 12873 */ "SVGFESpotLightElement" "\0"
  /* 12895 */ "SVGFETileElement" "\0"
  /* 12912 */ "SVGFETurbulenceElement" "\0"
  /* 12935 */ "SVGFilterElement" "\0"
  /* 12952 */ "SVGForeignObjectElement" "\0"
  /* 12976 */ "SVGGElement" "\0"
  /* 12988 */ "SVGGeometryElement" "\0"
  /* 13007 */ "SVGGradientElement" "\0"
  /* 13026 */ "SVGGraphicsElement" "\0"
  /* 13045 */ "SVGImageElement" "\0"
  /* 13061 */ "SVGLength" "\0"
  /* 13071 */ "SVGLengthList" "\0"
  /* 13085 */ "SVGLineElement" "\0"
  /* 13100 */ "SVGLinearGradientElement" "\0"
  /* 13125 */ "SVGMPathElement" "\0"
  /* 13141 */ "SVGMarkerElement" "\0"
  /* 13158 */ "SVGMaskElement" "\0"
  /* 13173 */ "SVGMatrix" "\0"
  /* 13183 */ "SVGMetadataElement" "\0"
  /* 13202 */ "SVGNumber" "\0"
  /* 13212 */ "SVGNumberList" "\0"
  /* 13226 */ "SVGPathElement" "\0"
  /* 13241 */ "SVGPatternElement" "\0"
  /* 13259 */ "SVGPoint" "\0"
  /* 13268 */ "SVGPointList" "\0"
  /* 13281 */ "SVGPolygonElement" "\0"
  /* 13299 */ "SVGPolylineElement" "\0"
  /* 13318 */ "SVGPreserveAspectRatio" "\0"
  /* 13341 */ "SVGRadialGradientElement" "\0"
  /* 13366 */ "SVGRect" "\0"
  /* 13374 */ "SVGRectElement" "\0"
  /* 13389 */ "SVGSVGElement" "\0"
  /* 13403 */ "SVGScriptElement" "\0"
  /* 13420 */ "SVGSetElement" "\0"
  /* 13434 */ "SVGStopElement" "\0"
  /* 13449 */ "SVGStringList" "\0"
  /* 13463 */ "SVGStyleElement" "\0"
  /* 13479 */ "SVGSwitchElement" "\0"
  /* 13496 */ "SVGSymbolElement" "\0"
  /* 13513 */ "SVGTSpanElement" "\0"
  /* 13529 */ "SVGTextContentElement" "\0"
  /* 13551 */ "SVGTextElement" "\0"
  /* 13566 */ "SVGTextPathElement" "\0"
  /* 13585 */ "SVGTextPositioningElement" "\0"
  /* 13611 */ "SVGTitleElement" "\0"
  /* 13627 */ "SVGTransform" "\0"
  /* 13640 */ "SVGTransformList" "\0"
  /* 13657 */ "SVGUnitTypes" "\0"
  /* 13670 */ "SVGUseElement" "\0"
  /* 13684 */ "SVGViewElement" "\0"
  /* 13699 */ "Sanitizer" "\0"
  /* 13709 */ "Scheduler" "\0"
  /* 13719 */ "Screen" "\0"
  /* 13726 */ "ScreenLuminance" "\0"
  /* 13742 */ "ScreenOrientation" "\0"
  /* 13760 */ "ScriptProcessorNode" "\0"
  /* 13780 */ "ScrollAreaEvent" "\0"
  /* 13796 */ "ScrollViewChangeEvent" "\0"
  /* 13818 */ "SecurityPolicyViolationEvent" "\0"
  /* 13847 */ "Selection" "\0"
  /* 13857 */ "ServiceWorker" "\0"
  /* 13871 */ "ServiceWorkerContainer" "\0"
  /* 13894 */ "ServiceWorkerGlobalScope" "\0"
  /* 13919 */ "ServiceWorkerRegistration" "\0"
  /* 13945 */ "SessionStoreFormData" "\0"
  /* 13966 */ "SessionStoreScrollData" "\0"
  /* 13989 */ "SessionStoreUtils" "\0"
  /* 14007 */ "ShadowRealmGlobalScope" "\0"
  /* 14030 */ "ShadowRoot" "\0"
  /* 14041 */ "SharedWorker" "\0"
  /* 14054 */ "SharedWorkerGlobalScope" "\0"
  /* 14078 */ "SimpleGestureEvent" "\0"
  /* 14097 */ "SourceBuffer" "\0"
  /* 14110 */ "SourceBufferList" "\0"
  /* 14127 */ "SpeechGrammar" "\0"
  /* 14141 */ "SpeechGrammarList" "\0"
  /* 14159 */ "SpeechRecognition" "\0"
  /* 14177 */ "SpeechRecognitionAlternative" "\0"
  /* 14206 */ "SpeechRecognitionError" "\0"
  /* 14229 */ "SpeechRecognitionEvent" "\0"
  /* 14252 */ "SpeechRecognitionResult" "\0"
  /* 14276 */ "SpeechRecognitionResultList" "\0"
  /* 14304 */ "SpeechSynthesis" "\0"
  /* 14320 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14346 */ "SpeechSynthesisEvent" "\0"
  /* 14367 */ "SpeechSynthesisUtterance" "\0"
  /* 14392 */ "SpeechSynthesisVoice" "\0"
  /* 14413 */ "StaticRange" "\0"
  /* 14425 */ "StereoPannerNode" "\0"
  /* 14442 */ "Storage" "\0"
  /* 14450 */ "StorageEvent" "\0"
  /* 14463 */ "StorageManager" "\0"
  /* 14478 */ "StreamFilter" "\0"
  /* 14491 */ "StreamFilterDataEvent" "\0"
  /* 14513 */ "StructuredCloneHolder" "\0"
  /* 14535 */ "StructuredCloneTester" "\0"
  /* 14557 */ "StyleSheet" "\0"
  /* 14568 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14605 */ "StyleSheetList" "\0"
  /* 14620 */ "StyleSheetRemovedEvent" "\0"
  /* 14643 */ "SubmitEvent" "\0"
  /* 14655 */ "SubtleCrypto" "\0"
  /* 14668 */ "SyncMessageSender" "\0"
  /* 14686 */ "SyncReadFile" "\0"
  /* 14699 */ "TCPServerSocket" "\0"
  /* 14715 */ "TCPServerSocketEvent" "\0"
  /* 14736 */ "TCPSocket" "\0"
  /* 14746 */ "TCPSocketErrorEvent" "\0"
  /* 14766 */ "TCPSocketEvent" "\0"
  /* 14781 */ "TaskController" "\0"
  /* 14796 */ "TaskPriorityChangeEvent" "\0"
  /* 14820 */ "TaskSignal" "\0"
  /* 14831 */ "TelemetryStopwatch" "\0"
  /* 14850 */ "TestAttributesOnTypes" "\0"
  /* 14872 */ "TestCEReactionsInterface" "\0"
  /* 14897 */ "TestCImplementedInterface" "\0"
  /* 14923 */ "TestCImplementedInterface2" "\0"
  /* 14950 */ "TestCallbackDictUnionOverload" "\0"
  /* 14980 */ "TestChildInterface" "\0"
  /* 14999 */ "TestConstructorForFuncInterface" "\0"
  /* 15031 */ "TestConstructorForPrefInterface" "\0"
  /* 15063 */ "TestConstructorForSCInterface" "\0"
  /* 15093 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 15129 */ "TestDeprecatedInterface" "\0"
  /* 15153 */ "TestExampleInterface" "\0"
  /* 15174 */ "TestExampleProxyInterface" "\0"
  /* 15200 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 15240 */ "TestExampleWorkerInterface" "\0"
  /* 15267 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 15312 */ "TestFuncConstructorForInterface" "\0"
  /* 15344 */ "TestHTMLConstructorInterface" "\0"
  /* 15373 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 15417 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 15452 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 15487 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 15537 */ "TestIndexedGetterInterface" "\0"
  /* 15564 */ "TestIndexedSetterInterface" "\0"
  /* 15591 */ "TestInterface" "\0"
  /* 15605 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 15644 */ "TestJSImplInterface" "\0"
  /* 15664 */ "TestJSImplInterface2" "\0"
  /* 15685 */ "TestJSImplInterface3" "\0"
  /* 15706 */ "TestJSImplInterface4" "\0"
  /* 15727 */ "TestJSImplInterface5" "\0"
  /* 15748 */ "TestJSImplInterface6" "\0"
  /* 15769 */ "TestJSImplNoInterfaceObject" "\0"
  /* 15797 */ "TestLegacyFactoryFunctionInterface" "\0"
  /* 15832 */ "TestLegacyFactoryFunctionInterface2" "\0"
  /* 15868 */ "TestNamedDeleterInterface" "\0"
  /* 15894 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 15930 */ "TestNamedGetterInterface" "\0"
  /* 15955 */ "TestNamedSetterInterface" "\0"
  /* 15980 */ "TestNamespace" "\0"
  /* 15994 */ "TestNonWrapperCacheInterface" "\0"
  /* 16023 */ "TestParentInterface" "\0"
  /* 16043 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 16091 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 16136 */ "TestPrefConstructorForInterface" "\0"
  /* 16168 */ "TestProtoObjectHackedNamespace" "\0"
  /* 16199 */ "TestRenamedInterface" "\0"
  /* 16220 */ "TestRenamedNamespace" "\0"
  /* 16241 */ "TestSCConstructorForInterface" "\0"
  /* 16271 */ "TestSecureContextInterface" "\0"
  /* 16298 */ "TestThrowingConstructorInterface" "\0"
  /* 16331 */ "TestUtils" "\0"
  /* 16341 */ "TestWorkerExposedInterface" "\0"
  /* 16368 */ "TestingDeprecatedInterface" "\0"
  /* 16395 */ "Text" "\0"
  /* 16400 */ "TextClause" "\0"
  /* 16411 */ "TextDecoder" "\0"
  /* 16423 */ "TextDecoderStream" "\0"
  /* 16441 */ "TextEncoder" "\0"
  /* 16453 */ "TextEncoderStream" "\0"
  /* 16471 */ "TextEvent" "\0"
  /* 16481 */ "TextMetrics" "\0"
  /* 16493 */ "TextTrack" "\0"
  /* 16503 */ "TextTrackCue" "\0"
  /* 16516 */ "TextTrackCueList" "\0"
  /* 16533 */ "TextTrackList" "\0"
  /* 16547 */ "TimeEvent" "\0"
  /* 16557 */ "TimeRanges" "\0"
  /* 16568 */ "ToggleEvent" "\0"
  /* 16580 */ "Touch" "\0"
  /* 16586 */ "TouchEvent" "\0"
  /* 16597 */ "TouchList" "\0"
  /* 16607 */ "TrackEvent" "\0"
  /* 16618 */ "TransformStream" "\0"
  /* 16634 */ "TransformStreamDefaultController" "\0"
  /* 16667 */ "TransitionEvent" "\0"
  /* 16683 */ "TreeColumn" "\0"
  /* 16694 */ "TreeColumns" "\0"
  /* 16706 */ "TreeContentView" "\0"
  /* 16722 */ "TreeWalker" "\0"
  /* 16733 */ "TrustedHTML" "\0"
  /* 16745 */ "TrustedScript" "\0"
  /* 16759 */ "TrustedScriptURL" "\0"
  /* 16776 */ "TrustedTypePolicy" "\0"
  /* 16794 */ "TrustedTypePolicyFactory" "\0"
  /* 16819 */ "UDPMessageEvent" "\0"
  /* 16835 */ "UDPSocket" "\0"
  /* 16845 */ "UIEvent" "\0"
  /* 16853 */ "URL" "\0"
  /* 16857 */ "URLSearchParams" "\0"
  /* 16873 */ "URLSearchParams Iterator" "\0"
  /* 16898 */ "UniFFIPointer" "\0"
  /* 16912 */ "UniFFIScaffolding" "\0"
  /* 16930 */ "UserActivation" "\0"
  /* 16945 */ "UserInteraction" "\0"
  /* 16961 */ "UserProximityEvent" "\0"
  /* 16980 */ "VRDisplay" "\0"
  /* 16990 */ "VRDisplayCapabilities" "\0"
  /* 17012 */ "VRDisplayEvent" "\0"
  /* 17027 */ "VREyeParameters" "\0"
  /* 17043 */ "VRFieldOfView" "\0"
  /* 17057 */ "VRFrameData" "\0"
  /* 17069 */ "VRMockController" "\0"
  /* 17086 */ "VRMockDisplay" "\0"
  /* 17100 */ "VRPose" "\0"
  /* 17107 */ "VRServiceTest" "\0"
  /* 17121 */ "VRStageParameters" "\0"
  /* 17139 */ "VTTCue" "\0"
  /* 17146 */ "VTTRegion" "\0"
  /* 17156 */ "ValidityState" "\0"
  /* 17170 */ "VideoColorSpace" "\0"
  /* 17186 */ "VideoDecoder" "\0"
  /* 17199 */ "VideoEncoder" "\0"
  /* 17212 */ "VideoFrame" "\0"
  /* 17223 */ "VideoPlaybackQuality" "\0"
  /* 17244 */ "VideoTrack" "\0"
  /* 17255 */ "VideoTrackList" "\0"
  /* 17270 */ "ViewTransition" "\0"
  /* 17285 */ "VisualViewport" "\0"
  /* 17300 */ "WEBGL_color_buffer_float" "\0"
  /* 17325 */ "WEBGL_compressed_texture_astc" "\0"
  /* 17355 */ "WEBGL_compressed_texture_etc" "\0"
  /* 17384 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 17414 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 17445 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 17475 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 17510 */ "WEBGL_debug_renderer_info" "\0"
  /* 17536 */ "WEBGL_debug_shaders" "\0"
  /* 17556 */ "WEBGL_depth_texture" "\0"
  /* 17576 */ "WEBGL_draw_buffers" "\0"
  /* 17595 */ "WEBGL_explicit_present" "\0"
  /* 17618 */ "WEBGL_lose_context" "\0"
  /* 17637 */ "WEBGL_provoking_vertex" "\0"
  /* 17660 */ "WGSLLanguageFeatures" "\0"
  /* 17681 */ "WakeLock" "\0"
  /* 17690 */ "WakeLockSentinel" "\0"
  /* 17707 */ "WaveShaperNode" "\0"
  /* 17722 */ "WebExtensionContentScript" "\0"
  /* 17748 */ "WebExtensionPolicy" "\0"
  /* 17767 */ "WebGL2RenderingContext" "\0"
  /* 17790 */ "WebGLActiveInfo" "\0"
  /* 17806 */ "WebGLBuffer" "\0"
  /* 17818 */ "WebGLContextEvent" "\0"
  /* 17836 */ "WebGLFramebuffer" "\0"
  /* 17853 */ "WebGLProgram" "\0"
  /* 17866 */ "WebGLQuery" "\0"
  /* 17877 */ "WebGLRenderbuffer" "\0"
  /* 17895 */ "WebGLRenderingContext" "\0"
  /* 17917 */ "WebGLSampler" "\0"
  /* 17930 */ "WebGLShader" "\0"
  /* 17942 */ "WebGLShaderPrecisionFormat" "\0"
  /* 17969 */ "WebGLSync" "\0"
  /* 17979 */ "WebGLTexture" "\0"
  /* 17992 */ "WebGLTransformFeedback" "\0"
  /* 18015 */ "WebGLUniformLocation" "\0"
  /* 18036 */ "WebGLVertexArrayObject" "\0"
  /* 18059 */ "WebKitCSSMatrix" "\0"
  /* 18075 */ "WebSocket" "\0"
  /* 18085 */ "WebTransport" "\0"
  /* 18098 */ "WebTransportBidirectionalStream" "\0"
  /* 18130 */ "WebTransportDatagramDuplexStream" "\0"
  /* 18163 */ "WebTransportError" "\0"
  /* 18181 */ "WebTransportReceiveStream" "\0"
  /* 18207 */ "WebTransportSendStream" "\0"
  /* 18230 */ "WebrtcGlobalInformation" "\0"
  /* 18254 */ "WheelEvent" "\0"
  /* 18265 */ "Window" "\0"
  /* 18272 */ "WindowClient" "\0"
  /* 18285 */ "WindowContext" "\0"
  /* 18299 */ "WindowGlobalChild" "\0"
  /* 18317 */ "WindowGlobalParent" "\0"
  /* 18336 */ "WindowRoot" "\0"
  /* 18347 */ "Worker" "\0"
  /* 18354 */ "WorkerDebuggerGlobalScope" "\0"
  /* 18380 */ "WorkerGlobalScope" "\0"
  /* 18398 */ "WorkerLocation" "\0"
  /* 18413 */ "WorkerNavigator" "\0"
  /* 18429 */ "WorkerTestUtils" "\0"
  /* 18445 */ "Worklet" "\0"
  /* 18453 */ "WorkletGlobalScope" "\0"
  /* 18472 */ "WritableStream" "\0"
  /* 18487 */ "WritableStreamDefaultController" "\0"
  /* 18519 */ "WritableStreamDefaultWriter" "\0"
  /* 18547 */ "XMLDocument" "\0"
  /* 18559 */ "XMLHttpRequest" "\0"
  /* 18574 */ "XMLHttpRequestEventTarget" "\0"
  /* 18600 */ "XMLHttpRequestUpload" "\0"
  /* 18621 */ "XMLSerializer" "\0"
  /* 18635 */ "XPathEvaluator" "\0"
  /* 18650 */ "XPathExpression" "\0"
  /* 18666 */ "XPathResult" "\0"
  /* 18678 */ "XRBoundedReferenceSpace" "\0"
  /* 18702 */ "XRFrame" "\0"
  /* 18710 */ "XRInputSource" "\0"
  /* 18724 */ "XRInputSourceArray" "\0"
  /* 18743 */ "XRInputSourceEvent" "\0"
  /* 18762 */ "XRInputSourcesChangeEvent" "\0"
  /* 18788 */ "XRPose" "\0"
  /* 18795 */ "XRReferenceSpace" "\0"
  /* 18812 */ "XRReferenceSpaceEvent" "\0"
  /* 18834 */ "XRRenderState" "\0"
  /* 18848 */ "XRRigidTransform" "\0"
  /* 18865 */ "XRSession" "\0"
  /* 18875 */ "XRSessionEvent" "\0"
  /* 18890 */ "XRSpace" "\0"
  /* 18898 */ "XRSystem" "\0"
  /* 18907 */ "XRView" "\0"
  /* 18914 */ "XRViewerPose" "\0"
  /* 18927 */ "XRViewport" "\0"
  /* 18938 */ "XRWebGLLayer" "\0"
  /* 18951 */ "XSLTProcessor" "\0"
  /* 18965 */ "XULCommandEvent" "\0"
  /* 18981 */ "XULElement" "\0"
  /* 18992 */ "XULFrameElement" "\0"
  /* 19008 */ "XULMenuElement" "\0"
  /* 19023 */ "XULPopupElement" "\0"
  /* 19039 */ "XULResizerElement" "\0"
  /* 19057 */ "XULTextElement" "\0"
  /* 19072 */ "XULTreeElement" "\0"
  /* 19087 */ "console" "\0"
  /* 19095 */ "webkitSpeechGrammar" "\0"
  /* 19115 */ "webkitSpeechGrammarList" "\0"
  /* 19139 */ "webkitSpeechRecognition" "\0"
  /* 19163 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

